Moderator: amosbatto

#11566
It may not be possible to upgrade your current installation of ProcessMaker to version 1.8 or later.

Please do NOT attempt upgrading ProcessMaker before verifying whether it is possible:
    [*] ProcessMaker version 1.8 or later requires MySQL 5.1.6 or higher. If you have an older version of MySQL do NOT upgrade to version 1.8 or later.[/*] [*] The "processmaker upgrade" script in version 1.8 or later expects all its files to in the locations used by the tarballs, rpm, and the [url=http://wiki.processmaker.com/index.php/ProcessMaker_Windows_Installation]new Windows Installer[/url]. If you installed ProcessMaker using the [url=http://wiki.processmaker.com/index.php/ProcessMaker_Windows_Installation_before_1.6-4260]old Windows Installer[/url] (prior to version 1.6-4260), do NOT upgrade to version 1.8 or later.[/*]
I talked to the developer responsible for the "processmaker upgrade" script and he said that he would try to fix it so it could recognize the file paths for the old Windows Installer, but he warned that it might be a while, so please be patient.

[Edit: Changed the required MySQL version from 5.1.37 or higher to 5.1.6 or higher]
#11612
scowse wrote:Are you saying that it is OK to upgrade Processmaker AFTER upgrading mysql to 5.1.37 or greater?
Yes, you can upgrade MySQL. Make a backup of your MySQL databases with mysqldump, then upgrade MySQL, then import your tables. Then do a normal ProcessMaker upgrade. See:
http://wiki.processmaker.com/index.php/ ... _and_later
babarlefou wrote:What are the problems with an earlier version of MySQL?
I was told that it has something to do with the ability to create triggers, but it seems that ability should be available since version 5.1.6. I will have to ask one of the developers.
Deleting the processes.

Are you sure that you are using version 1.245 f[…]

Changing the login page

In your pmos.conf, try changing from: Redir[…]

Clearing a datetime field

Is there a way to clear a date area inside of a […]

add dropdown to search process

I have to add dropdown list to search process. How[…]